
Foreman - Feature #10260

Allow interfaces management for unmanaged hosts

04/24/2015 04:46 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Network   

Target version: 1.8.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2426

  

Description

Unmanaged hosts form currently does not expose interfaces tab. We should allow full management of interfaces even for

unmanaged hosts, interfaces are storage of network related attributes (e.g. IP)

Related issues:

Related to Foreman - Tracker #2409: Networking New

Related to Foreman - Bug #10505: Missing values in node.rb output Resolved 05/13/2015

Related to Foreman - Bug #10384: Editing host can fail unexpectedly: "Failed ... Resolved 05/05/2015

Related to Foreman - Bug #10642: Migration of unmanaged host can fail on prim... Closed 05/28/2015

Related to Foreman - Bug #10723: Unable to save changes in Foreman 1.8.1 (htt... Resolved 06/05/2015

Related to Foreman - Bug #11143: Domain removed from the hostname on host edi... Resolved 07/17/2015

Associated revisions

Revision 3a30ac9e - 06/08/2015 10:53 AM - Marek Hulán

Fixes #10260 - allow NIC management in attended mode and for unmanage hosts

Revision 0247697f - 06/15/2015 10:09 AM - Marek Hulán

Fixes #10260 - allow NIC management in attended mode and for unmanage hosts

(cherry picked from commit 3a30ac9e54c60f82b68076b6e6815312dfc31781)

History

#1 - 04/24/2015 04:46 AM - Marek Hulán

- Related to Tracker #2409: Networking added

#2 - 05/13/2015 08:26 PM - Ben Tullis

- Related to Bug #10505: Missing values in node.rb output added

#3 - 05/14/2015 03:22 AM - Marek Hulán

- Related to Bug #10384: Editing host can fail unexpectedly: "Failed to save: Interfaces some interfaces are invalid" added

#4 - 06/03/2015 06:51 AM - Marek Hulán

- Related to Bug #10642: Migration of unmanaged host can fail on primary interface added

#5 - 06/03/2015 07:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2426 added

- Pull request deleted ()

#6 - 06/03/2015 07:25 AM - Marek Hulán
- Status changed from Ready For Testing to New

- Assignee set to Marek Hulán

- translation missing: en.field_release set to 56

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2426)

Without this users can't delete interfaces from UI that after migration from 1.7 might be invalid. The only way to fix invalid interfaces would be through

API. I think this should be part of 1.8.2. Feel free to reset Release if you disagree.

#7 - 06/03/2015 07:26 AM - Marek Hulán

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2426 added

- Pull request deleted ()

#8 - 06/08/2015 02:38 AM - Marek Hulán

- Related to Bug #10723: Unable to save changes in Foreman 1.8.1 (https://puppet.cptaq.local/hosts/test1.openstacklocal/edit) added

#9 - 06/08/2015 11:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3a30ac9e54c60f82b68076b6e6815312dfc31781.

#10 - 07/17/2015 09:37 AM - Dominic Cleal

- Related to Bug #11143: Domain removed from the hostname on host edit in !unattended mode added
